Loading...
Searching...
No Matches
nonstd Namespace Reference

## Namespaces

namespace | detail
namespace | optional_lite
namespace | sv_lite
namespace | variants

## Classes

struct | in_place_t

## Functions

template<class T >
in_place_t | in_place (detail::in_place_type_tag< T >=detail::in_place_type_tag< T >())
template<std::size_t K>
in_place_t | in_place (detail::in_place_index_tag< K >=detail::in_place_index_tag< K >())
template<class T >
in_place_t | in_place_type (detail::in_place_type_tag< T >=detail::in_place_type_tag< T >())
template<std::size_t K>
in_place_t | in_place_index (detail::in_place_index_tag< K >=detail::in_place_index_tag< K >())

## Function Documentation

## in_place() [1/2]

template<std::size_t K>

in_place_t nonstd::in_place | ( | detail::in_place_index_tag< K > | = `detail::in_place_index_tag<K>()` | ) |

inline

Definition at line 176 of file expected.hpp.

## in_place() [2/2]

template<class T >

in_place_t nonstd::in_place | ( | detail::in_place_type_tag< T > | = `detail::in_place_type_tag<T>()` | ) |

inline

Definition at line 170 of file expected.hpp.

## in_place_index()

template<std::size_t K>

in_place_t nonstd::in_place_index | ( | detail::in_place_index_tag< K > | = `detail::in_place_index_tag<K>()` | ) |

inline

Definition at line 188 of file expected.hpp.

## in_place_type()

template<class T >

in_place_t nonstd::in_place_type | ( | detail::in_place_type_tag< T > | = `detail::in_place_type_tag<T>()` | ) |

inline

Definition at line 182 of file expected.hpp.